'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.recorderGotStream = exports.recorderOnStop = exports.recorderResume = exports.recorderPause = exports.recorderStop = exports.recorderStart = undefined;

var _TYPES = require('./TYPES');

var recorderStart = exports.recorderStart = function recorderStart() {
  return { type: _TYPES.RECORDER_START };
};

var recorderStop = exports.recorderStop = function recorderStop() {
  return { type: _TYPES.RECORDER_STOP };
};

var recorderPause = exports.recorderPause = function recorderPause() {
  return { type: _TYPES.RECORDER_PAUSE };
};

var recorderResume = exports.recorderResume = function recorderResume() {
  return { type: _TYPES.RECORDER_RESUME };
};

var recorderOnStop = exports.recorderOnStop = function recorderOnStop(blob) {
  return {
    type: _TYPES.RECORDER_ON_STOP,
    blob: blob
  };
};

var recorderGotStream = exports.recorderGotStream = function recorderGotStream(stream) {
  return {
    type: _TYPES.RECORDER_GOT_STREAM,
    stream: stream
  };
};